/* body {
  padding: 2rem 0rem;
  font-family: Poppins;
  background-image: radial-gradient(lightgrey 1.3px, Whitesmoke 1.3px);
  background-size: 20px 20px;
} */

.hr-line {
  border-top: 1px solid transparent;
  background: linear-gradient(white, white) padding-box,
    linear-gradient(90deg, White, DimGrey, White) border-box;
}

.tl-container {
  max-width: 1200px;
  margin: 0 auto;
}

.tl-card {
  scale: 0;
  opacity: 0;
  border: none;
  border-radius: 33px;
  box-shadow: 0px 2px 12px 2px LightGrey;
  overflow: hidden;
  animation: fade-in linear forwards;
  animation-timeline: view();
  animation-range: 200px 350px;
}

.left::before {
  scale: 0;
  opacity: 0;
  animation: fade-in linear forwards;
  animation-timeline: view();
  animation-range: 200px 350px;
}

.right::before {
  scale: 0;
  opacity: 0;
  animation: fade-in linear forwards;
  animation-timeline: view();
  animation-range: 200px 350px;
}

.origin-left {
  transform-origin: 0% 0%;
}

.origin-right {
  transform-origin: 100% 0%;
}

@keyframes fade-in {
  to {
    scale: 1;
    opacity: 1;
  }
}

.tl-img-container {
  width: 100%;
  height: 300px;
  filter: saturate(40%);
  transition: all 0.4s ease;
}

.tl-card:hover .scale {
  filter: saturate(100%);
  transform: scale(1.1);
}

.image-1 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-telecomunicaciones-1992.webp") 50% 50% no-repeat;
background-size: cover;
}

.image-2 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-colombia-peru-1998.webp") 50% 50% no-repeat;
background-size: cover;
}

.image-3 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-outsourcing-2001.webp") 50% 50% no-repeat;
background-size: cover;
}

.image-4 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-atc-ingenieros-2008.webp") 50% 50% no-repeat;
background-size: cover;
}

.image-5 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-geovictoria-2015.webp") 50% 50% no-repeat;
background-size: cover;
}
.image-6 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-head-hunting-2021.webp") 50% 50% no-repeat;
background-size: cover;
}
.image-7 {
background: url("https://www.atcom.cl/neo/assets/img/nosotros/atcom-expansion-mas-servicios-2026.webp") 50% 50% no-repeat;
background-size: cover;
}


/* The actual timeline (the vertical ruler) */
.main-timeline {
  position: relative;
}

/* The actual timeline (the vertical ruler) */
.main-timeline::after {
  content: "";
  position: absolute;
  width: 0px;
  border: 1px dashed DarkGrey;
  background-color: none;
  top: 0;
  bottom: 0px;
  left: 50%;
  margin-left: -4px;
}

/* Container around content */
.timeline {
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* The circles on the timeline */
.timeline::after {
  content: "";
  position: absolute;
  width: 22px;
  height: 22px;
  border: 3px solid #f0f2f5;
  outline: 1px solid DarkGrey;
  right: -8px;
  background-color: DarkGrey;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  padding: 10px 40px 20px 0px;
  left: 0;
}

/* Place the container to the right */
.right {
  padding: 10px 0px 20px 40px;
  left: 50%;
}

/* Add arrows to the left container (pointing right) */
.left::before {
  content: " ";
  position: absolute;
  top: 18px;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

/* Add arrows to the right container (pointing left) */
.right::before {
  content: "";
  position: absolute;
  top: 18px;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

/* Fix the circle for containers on the right side */
.right::after {
  left: -14px;
}

.accordion-button {
  --bs-accordion-border-width: 0;
  --bs-accordion-border-radius: 0;
  --bs-accordion-inner-border-radius: 0;
  font-size: 15px;
  background-color: #efefef;
}

.accordion-button:not(.collapsed) {
  background-color: DodgerBlue;
  color: White;
}

.accordion-button:after {
  margin: 0;
  margin-left: 15px;
}

.accordion-button:not(.collapsed):after {
  filter: invert(100%) brightness(200%);
}

.accordion-item {
  border: none;
}

.card-footer {
  background-color: White;
  border-bottom: 5px solid white;
}

.icon-link {
  height: 40px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  border: 1px solid DimGrey;
  border-radius: 50%;
  margin: 0;
  transition: scale 0.3s ease;
  text-decoration: none;
  & i {
    color: DimGrey;
  }
}

@media (hover: hover) {
  .icon-link:hover {
    border: 1px solid DodgerBlue;
    scale: 1.15;
  }
  .icon-link:hover i {
    color: DodgerBlue;
  }
}

/* Media queries - Responsive timeline on screens less than 600px wide */

@media screen and (max-width: 700px) {
  /* Place the timelime to the left */
  .main-timeline::after {
    left: 10px;
  }

  /* Full-width containers */
  .timeline {
    width: 100%;
    padding-left: 40px;
    padding-right: 25px;
  }

  /* Make sure that all arrows are pointing leftwards */
  .timeline::before {
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
  }

  /* Make sure all circles are at the same spot */
  .left::after,
  .right::after {
    left: -4px;
  }

  .left::before {
    right: auto;
  }

  /* Make all right containers behave like the left ones */
  .right {
    left: 0%;
  }

  .tl-card {
    transform-origin: 0% 0%;
  }
}
